/* Encendre un led amb el transmissor sense fils FS1000A de 433 Mhz
 * Comunicació amb el receptor sense fils XY-MK-5V de 433 Mhz
 * Utilitza un polsador en el pin 4 amb canvi d'estat.
 * En prémer per primer cop s'encén i al segon cop s'apaga.
 * - Enviant el caràcter "a" s'encén el led
 * - Enviant el caràcter "b" s'apaga el led
 */

#include <VirtualWire.h>

char caracter[1];
bool estat_led = false;

void setup(){
  Serial.begin(9600);   // Inicialització el monitor sèrie 
    pinMode(4, INPUT);   // Configura el port 2 com a entrada de senyal
    // Inicialització del mòdul RF
    vw_setup(2000);     // velocitat: bits per segon
    vw_set_tx_pin(2);   // pin 2: sortida mòdul RF 
}

void loop(){
      // Comprova si el port 4 rep senyal
      if (digitalRead(4)==HIGH){
        delay(100); 
        Serial.println("Has premut el botó"); // Envia un missatge de text al monitor sèrie
          if (estat_led==false){
            caracter[0]='a';
            estat_led=!estat_led;
          }
          else{
            caracter[0]='b';
            estat_led=!estat_led;        
          }
      // Envia el caràcter rebut del Monitor Sèrie pel mòdul RF
      vw_send((uint8_t*)caracter,sizeof(caracter));
      vw_wait_tx();         
      }
    delay(200);
}
